
Foreman - Bug #17904

Proxy log messages are not shown fully

01/03/2017 07:38 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Low   

Assignee: Daniel Lobato Garcia   

Category: Smart Proxy   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4156

  

Description

As it can be seen here, when an error message is too long, the proxy page for logs does not display anything.

http://imgur.com/a/crsAC

Associated revisions

Revision 5bd2b748 - 01/04/2017 01:56 PM - Daniel Lobato Garcia

Fixes #17904 - Show tooltips for long proxy log messages

Revision 7b2f6da0 - 01/30/2017 11:02 AM - Daniel Lobato Garcia

Fixes #17904 - Show tooltips for long proxy log messages

(cherry picked from commit 5bd2b7485431068606fbcffb30f8b942e2d26632)

History

#1 - 01/03/2017 07:45 AM - Dominic Cleal

- Category set to Smart Proxy

#2 - 01/03/2017 07:47 AM - Daniel Lobato Garcia

- Category deleted (Smart Proxy)

- Priority changed from Normal to Low

I realized now the entire message can be read by clicking on the level (which is strange IMO). Still I think it should show the error on hover.

#3 - 01/03/2017 08:42 AM - Daniel Lobato Garcia

tfm.tools.activateTooltips() needs to be called for the full message to show up as a tooltip

#4 - 01/04/2017 05:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/4156 added

#5 - 01/04/2017 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5bd2b7485431068606fbcffb30f8b942e2d26632.

#6 - 01/05/2017 03:08 AM - Dominic Cleal
http://imgur.com/a/crsAC
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5bd2b7485431068606fbcffb30f8b942e2d26632


- Category set to Smart Proxy

- translation missing: en.field_release set to 210

#7 - 01/24/2017 09:58 AM - Daniel Lobato Garcia

- Target version set to 169

#8 - 02/18/2017 10:23 AM - Brad Buckingham

- Target version deleted (169)

#9 - 02/21/2017 09:53 AM - Daniel Lobato Garcia

- Target version set to 1.11.0
